Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.xml
Class Dom4JReader

    java.lang.Object
      com.thoughtworks.xstream.io.xml.AbstractXmlReader
          com.thoughtworks.xstream.io.xml.AbstractDocumentReader
              com.thoughtworks.xstream.io.xml.Dom4JReader

All Implemented Interfaces:
  HierarchicalStreamReader, DocumentReader, XmlFriendlyReader

    public class Dom4JReader

extends AbstractDocumentReader

Constructor Summary
`Dom4JReader(org.dom4j.Document document)`
`Dom4JReader(org.dom4j.Document document, XmlFriendlyReplacer replacer)`
`Dom4JReader(org.dom4j.Element rootElement)`
`Dom4JReader(org.dom4j.Element rootElement, XmlFriendlyReplacer replacer)`

Method Summary
`void` | `appendErrors(ErrorWriter errorWriter)` If any errors are detected, allow the reader to add any additional information that can aid debugging (such as line numbers, XPath expressions, etc).
`String` | `getAttribute(int index)` Get the value of an attribute of the current node, by index.
`String` | `getAttribute(String name)` Get the value of an attribute of the current node.
`int` | `getAttributeCount()` Number of attributes in current node.
`String` | `getAttributeName(int index)` Name of attribute in current node.
`protected Object` | `getChild(int index)`
`protected int` | `getChildCount()`
`String` | `getNodeName()` Get the name of the current node.
`protected Object` | `getParent()`
`String` | `getValue()` Get the value (text content) of the current node.
`protected void` | `reassignCurrentElement(Object current)`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractDocumentReader
`close, getAttributeNames, getCurrent, hasMoreChildren, moveDown, moveUp, peekUnderlyingNode, underlyingReader`

Methods inherited from class com.thoughtworks.xstream.io.xml.AbstractXmlReader
`escapeXmlName, unescapeXmlName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4JReader

    public Dom4JReader(org.dom4j.Element rootElement)

### Dom4JReader

    public Dom4JReader(org.dom4j.Document document)

### Dom4JReader

    public Dom4JReader(org.dom4j.Element rootElement,
                       XmlFriendlyReplacer replacer)

Since:
  1.2

### Dom4JReader

    public Dom4JReader(org.dom4j.Document document,
                       XmlFriendlyReplacer replacer)

Since:
  1.2

Method Detail

### getNodeName

    public String getNodeName()

  Description copied from interface: `HierarchicalStreamReader`
  Get the name of the current node.

### getValue

    public String getValue()

  Description copied from interface: `HierarchicalStreamReader`
  Get the value (text content) of the current node.

### getAttribute

    public String getAttribute(String name)

  Description copied from interface: `HierarchicalStreamReader`
  Get the value of an attribute of the current node.

### getAttribute

    public String getAttribute(int index)

  Description copied from interface: `HierarchicalStreamReader`
  Get the value of an attribute of the current node, by index.

### getAttributeCount

    public int getAttributeCount()

  Description copied from interface: `HierarchicalStreamReader`
  Number of attributes in current node.

### getAttributeName

    public String getAttributeName(int index)

  Description copied from interface: `HierarchicalStreamReader`
  Name of attribute in current node.

### getParent

    protected Object getParent()

  Specified by:
    `getParent` in class `AbstractDocumentReader`

### getChild

    protected Object getChild(int index)

  Specified by:
    `getChild` in class `AbstractDocumentReader`

### getChildCount

    protected int getChildCount()

  Specified by:
    `getChildCount` in class `AbstractDocumentReader`

### reassignCurrentElement

    protected void reassignCurrentElement(Object current)

  Specified by:
    `reassignCurrentElement` in class `AbstractDocumentReader`

### appendErrors

    public void appendErrors(ErrorWriter errorWriter)

  Description copied from interface: `HierarchicalStreamReader`
  If any errors are detected, allow the reader to add any additional information that can aid debugging (such as line numbers, XPath expressions, etc).

  Specified by:
    `appendErrors` in interface `HierarchicalStreamReader`
  Overrides:
    `appendErrors` in class `AbstractDocumentReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.